@import "variables/colors";
@import "variables/font";

.accordion {
  border: 1px solid $neutral-60;
  border-radius: 5px;
  padding: 9px 16px;
  max-height: 43px;
  overflow: hidden;
  transition: all 0.2s ease-in;

  &.checked {
    border: 1px solid $caribbean-green-60;

    .accordion__header {
      .title,
      .expland-icon {
        color: $caribbean-green-60;
      }
    }
  }
  &.open {
    max-height: 2000px;
    border: 1px solid $caribbean-green-60;
    transition: all 0.2s ease-in;

    .accordion__header {
      .title,
      .expland-icon {
        color: $caribbean-green-60;
      }
    }
  }

  &__header {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    .title-container {
      display: flex;
      gap: 5px;
      .title {
        padding: 0;
        margin: 0;
        color: $neutral-60;
        font-family: $roboto-bold;
        font-size: 16px;
      }
      .checked-icon {
        margin: auto;
      }
    }
    .expland-icon {
      margin: auto 0;
      font-size: 18px;
      font-family: $roboto-bold;
    }
  }
}
